Thickness Example

Using Programming Languages other than VBA

Sub Example_Thickness()
	' This example creates a circle in model space
	' and changes the thickness of the circle.
   
	Dim circleObj As AcadCircle
	Dim centerPoint(0 To 2) As Double
	Dim radius As Double

	' Define the circle
	centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
	radius = 5#

	' Create the Circle object in model space
	Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
	ZoomAll

	' Find the current thickness of the circle
	Dim currThickness As Double
	currThickness = circleObj.Thickness
	MsgBox "The thickness of the circle is " & circleObj.Thickness, vbInformation, "Thickness Example"

	' Change the thickness of the circle
	circleObj.Thickness = currThickness + 3
	circleObj.Update

	' Change the direction of the viewport so that you can
	' view the change made to the thickness. Once you change
	' the direction, you must reset the active viewport.
	Dim NewDirection(0 To 2) As Double
	NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
	ThisDrawing.ActiveViewport.direction = NewDirection
	ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
	MsgBox "The thickness of the circle is now " & circleObj.Thickness, vbInformation, "Thickness Example"

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.